diff --git a/doc/builtins.ps b/doc/builtins.ps
index 2e5cf296..b24ecd78 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19
-%%CreationDate: Tue Apr 20 15:26:45 2004
+%%CreationDate: Tue Jun  1 12:27:24 2004
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
@@ -358,8 +358,8 @@ F0(.).68 E F3(vi)6.929 E F0 1.929(is equi)4.429 F -.25(va)-.25 G 1.929
 27.52 E F2 -.18(re)2.5 G(adline).18 E F0(functions.)2.5 E F2<ad70>144
 714 Q F0(Display)24.74 E F2 -.18(re)2.5 G(adline).18 E F0
 (function names and bindings in such a w)2.5 E(ay that the)-.1 E 2.5(yc)
--.15 G(an be re-read.)-2.5 E(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E
--.15(ve)-.15 G(mber 27).15 E(1)190.545 E 0 Cg EP
+-.15 G(an be re-read.)-2.5 E(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E
+(1)203.725 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
@@ -489,8 +489,8 @@ F0 .175(option causes)2.675 F 3.11(as)144 712.8 S .61(ingle w)-3.11 F
 F1<ad56>144 724.8 Q F0 .249(option produces a more v)2.749 F .249
 (erbose description.)-.15 F .249(If the)5.249 F F1<ad56>2.749 E F0(or)
 2.749 E F1<ad76>2.75 E F0 .25(option is supplied, the e)2.75 F .25
-(xit status)-.15 F(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)
--.15 G(mber 27).15 E(2)190.545 E 0 Cg EP
+(xit status)-.15 F(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(2)203.725
+E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
@@ -586,8 +586,8 @@ F(ing trailing spaces\).)224 597.6 Q
 (ariable names.)-.25 E F2 4.7(binding Readline)184 693.6 R F0 -.1(ke)2.5
 G 2.5(yb)-.05 G(inding names.)-2.5 E F2 -.2(bu)184 705.6 S(iltin).2 E F0
 (Names of shell b)11.85 E(uiltin commands.)-.2 E
-(May also be speci\214ed as)5 E F2<ad62>2.5 E F0(.)A(GNU Bash-2.05a)72
-768 Q(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E(3)190.545 E 0 Cg EP
+(May also be speci\214ed as)5 E F2<ad62>2.5 E F0(.)A(GNU Bash-3.0)72 768
+Q(2004 Apr 20)148.735 E(3)203.725 E 0 Cg EP
 %%Page: 4 4
 %%BeginPageSetup
 BP
@@ -671,8 +671,7 @@ E .3 -.15(ve b)-.2 H(een applied.).15 E .466(The return v)144 688.8 R
 1.361(ompletion speci\214cation for a).15 F F3(name)144 712.8 Q F0
 (for which no speci\214cation e)2.5 E
 (xists, or an error occurs adding a completion speci\214cation.)-.15 E
-(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E
-(4)190.545 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(4)203.725 E 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
 BP
@@ -802,8 +801,8 @@ F .28(ed so that)-.1 F F4(SIGHUP)2.78 E F0 .281
 (ve)-.25 G 3.832(sa).15 G F4(SIGHUP)A/F6 9/Times-Roman@0 SF(.)A F0 1.332
 (If no)5.832 F F2(jobspec)5.572 E F0 1.332(is present, and neither the)
 4.142 F F1<ad61>3.832 E F0 1.332(nor the)3.832 F F1<ad72>3.832 E F0
-1.331(option is)3.831 F(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15
-(ve)-.15 G(mber 27).15 E(5)190.545 E 0 Cg EP
+1.331(option is)3.831 F(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(5)
+203.725 E 0 Cg EP
 %%Page: 6 6
 %%BeginPageSetup
 BP
@@ -931,8 +930,8 @@ F0 1.196(is supplied, the shell passes)3.696 F F1(name)4.055 E F0 1.195
 4.489 F(y)-.15 E .134(redirections tak)144 703.2 R 2.634(ee)-.1 G -.25
 (ff)-2.634 G .134(ect in the current shell, and the return status is 0.)
 .25 F .134(If there is a redirection error)5.134 F(,)-.4 E
-(the return status is 1.)144 715.2 Q(GNU Bash-2.05a)72 768 Q(2001 No)
-126.115 E -.15(ve)-.15 G(mber 27).15 E(6)190.545 E 0 Cg EP
+(the return status is 1.)144 715.2 Q(GNU Bash-3.0)72 768 Q(2004 Apr 20)
+148.735 E(6)203.725 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
@@ -1071,8 +1070,7 @@ F0 .803(The shell does not reset)5.303 F F3(OPTIND)3.303 E F0 .804
 (reset between multiple calls to)144 703.2 R F1(getopts)2.793 E F0 .293
 (within the same shell in)2.793 F -.2(vo)-.4 G .293(cation if a ne).2 F
 2.793(ws)-.25 G .293(et of parameters)-2.793 F(is to be used.)144 715.2
-Q(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E
-(7)190.545 E 0 Cg EP
+Q(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(7)203.725 E 0 Cg EP
 %%Page: 8 8
 %%BeginPageSetup
 BP
@@ -1187,8 +1185,8 @@ G 2.878(oi)-5.378 G(nterv)-2.878 E .379
 (Append the `)25.3 F(`ne)-.74 E(w')-.25 E 3.098('h)-.74 G .598
 (istory lines \(history lines entered since the be)-3.098 F .599
 (ginning of the current)-.15 F F1(bash)180 722.4 Q F0
-(session\) to the history \214le.)2.5 E(GNU Bash-2.05a)72 768 Q(2001 No)
-126.115 E -.15(ve)-.15 G(mber 27).15 E(8)190.545 E 0 Cg EP
+(session\) to the history \214le.)2.5 E(GNU Bash-3.0)72 768 Q
+(2004 Apr 20)148.735 E(8)203.725 E 0 Cg EP
 %%Page: 9 9
 %%BeginPageSetup
 BP
@@ -1256,42 +1254,41 @@ F1(kill)108 432 Q F0([)2.5 E F1<ad73>A F2(sigspec)2.5 E F0(|)2.5 E F1
 (it_status).2 E F0(])A .119(Send the signal named by)144 456 R F2
 (sigspec)2.959 E F0(or)2.929 E F2(signum)2.959 E F0 .119
 (to the processes named by)2.939 F F2(pid)3.87 E F0(or)3.39 E F2
-(jobspec)2.62 E F0(.).31 E F2(sigspec)5.46 E F0(is)2.93 E .048
-(either a signal name such as)144 468 R/F3 9/Times-Bold@0 SF(SIGKILL)
-2.548 E F0 .047(or a signal number;)2.298 F F2(signum)2.887 E F0 .047
-(is a signal number)2.867 F 5.047(.I)-.55 G(f)-5.047 E F2(sigspec)2.887
-E F0(is)2.857 E 3.394(as)144 480 S .894(ignal name, the name may be gi)
--3.394 F -.15(ve)-.25 G 3.394(nw).15 G .894(ith or without the)-3.394 F
-F3(SIG)3.394 E F0 3.394(pre\214x. If)3.144 F F2(sigspec)3.734 E F0 .894
-(is not present,)3.704 F(then)144 492 Q F3(SIGTERM)3.073 E F0 .572
-(is assumed.)2.822 F .572(An ar)5.572 F .572(gument of)-.18 F F1<ad6c>
-3.072 E F0 .572(lists the signal names.)3.072 F .572(If an)5.572 F 3.072
-(ya)-.15 G -.18(rg)-3.072 G .572(uments are sup-).18 F .267(plied when)
-144 504 R F1<ad6c>2.767 E F0 .267(is gi)2.767 F -.15(ve)-.25 G .267
-(n, the names of the signals corresponding to the ar).15 F .267
-(guments are listed, and the)-.18 F .288(return status is 0.)144 516 R
-(The)5.288 E F2 -.2(ex)2.788 G(it_status).2 E F0(ar)2.788 E .288
-(gument to)-.18 F F1<ad6c>2.788 E F0 .287
-(is a number specifying either a signal number or)2.788 F .551(the e)144
-528 R .551(xit status of a process terminated by a signal.)-.15 F F1
-(kill)5.551 E F0 .551(returns true if at least one signal w)3.051 F .552
-(as suc-)-.1 F(cessfully sent, or f)144 540 Q
-(alse if an error occurs or an in)-.1 E -.25(va)-.4 G
-(lid option is encountered.).25 E F1(let)108 556.8 Q F2(ar)2.5 E(g)-.37
-E F0([)2.5 E F2(ar)A(g)-.37 E F0(...])2.5 E(Each)144 568.8 Q F2(ar)3.965
-E(g)-.37 E F0 1.135(is an arithmetic e)3.855 F 1.134(xpression to be e)
--.15 F -.25(va)-.25 G 1.134(luated \(see).25 F F3 1.134(ARITHMETIC EV)
-3.634 F(ALU)-1.215 E -.855(AT)-.54 G(ION).855 E/F4 9/Times-Roman@0 SF
-(\).)A F0 1.134(If the)5.634 F(last)144 580.8 Q F2(ar)2.83 E(g)-.37 E F0
--.25(eva)2.72 G(luates to 0,).25 E F1(let)2.5 E F0
-(returns 1; 0 is returned otherwise.)2.5 E F1(local)108 597.6 Q F0([)2.5
-E F2(option)A F0 2.5(][)C F2(name)-2.5 E F0([=)A F2(value)A F0 2.5(].)C
-(..])-2.5 E -.15(Fo)144 609.6 S 2.56(re).15 G .06(ach ar)-2.56 F .06
-(gument, a local v)-.18 F .06(ariable named)-.25 F F2(name)2.92 E F0 .06
-(is created, and assigned)2.74 F F2(value)2.56 E F0 5.06(.T).18 G(he)
--5.06 E F2(option)2.56 E F0 .06(can be)2.56 F(an)144 621.6 Q 3.153(yo)
--.15 G 3.153(ft)-3.153 G .653(he options accepted by)-3.153 F F1(declar)
-3.153 E(e)-.18 E F0 5.652(.W)C(hen)-5.652 E F1(local)3.152 E F0 .652
+(jobspec)2.62 E F0(.).31 E F2(sigspec)5.46 E F0(is)2.93 E .319
+(either a case-insensiti)144 468 R .619 -.15(ve s)-.25 H .319
+(ignal name such as).15 F/F3 9/Times-Bold@0 SF(SIGKILL)2.819 E F0 .318
+(\(with or without the)2.569 F F3(SIG)2.818 E F0 .318
+(pre\214x\) or a signal)2.568 F(number;)144 480 Q F2(signum)4.188 E F0
+1.349(is a signal number)4.168 F 6.349(.I)-.55 G(f)-6.349 E F2(sigspec)
+4.189 E F0 1.349(is not present, then)4.159 F F3(SIGTERM)3.849 E F0
+1.349(is assumed.)3.599 F(An)6.349 E(ar)144 492 Q .523(gument of)-.18 F
+F1<ad6c>3.023 E F0 .523(lists the signal names.)3.023 F .523(If an)5.523
+F 3.023(ya)-.15 G -.18(rg)-3.023 G .523(uments are supplied when).18 F
+F1<ad6c>3.023 E F0 .523(is gi)3.023 F -.15(ve)-.25 G .523(n, the names)
+.15 F .28(of the signals corresponding to the ar)144 504 R .28
+(guments are listed, and the return status is 0.)-.18 F(The)5.28 E F2
+-.2(ex)2.78 G(it_status).2 E F0(ar)144 516 Q .378(gument to)-.18 F F1
+<ad6c>2.878 E F0 .378
+(is a number specifying either a signal number or the e)2.878 F .377
+(xit status of a process termi-)-.15 F .593(nated by a signal.)144 528 R
+F1(kill)5.593 E F0 .593(returns true if at least one signal w)3.093 F
+.593(as successfully sent, or f)-.1 F .594(alse if an error)-.1 F
+(occurs or an in)144 540 Q -.25(va)-.4 G(lid option is encountered.).25
+E F1(let)108 556.8 Q F2(ar)2.5 E(g)-.37 E F0([)2.5 E F2(ar)A(g)-.37 E F0
+(...])2.5 E(Each)144 568.8 Q F2(ar)3.965 E(g)-.37 E F0 1.135
+(is an arithmetic e)3.855 F 1.134(xpression to be e)-.15 F -.25(va)-.25
+G 1.134(luated \(see).25 F F3 1.134(ARITHMETIC EV)3.634 F(ALU)-1.215 E
+-.855(AT)-.54 G(ION).855 E/F4 9/Times-Roman@0 SF(\).)A F0 1.134(If the)
+5.634 F(last)144 580.8 Q F2(ar)2.83 E(g)-.37 E F0 -.25(eva)2.72 G
+(luates to 0,).25 E F1(let)2.5 E F0(returns 1; 0 is returned otherwise.)
+2.5 E F1(local)108 597.6 Q F0([)2.5 E F2(option)A F0 2.5(][)C F2(name)
+-2.5 E F0([=)A F2(value)A F0 2.5(].)C(..])-2.5 E -.15(Fo)144 609.6 S
+2.56(re).15 G .06(ach ar)-2.56 F .06(gument, a local v)-.18 F .06
+(ariable named)-.25 F F2(name)2.92 E F0 .06(is created, and assigned)
+2.74 F F2(value)2.56 E F0 5.06(.T).18 G(he)-5.06 E F2(option)2.56 E F0
+.06(can be)2.56 F(an)144 621.6 Q 3.153(yo)-.15 G 3.153(ft)-3.153 G .653
+(he options accepted by)-3.153 F F1(declar)3.153 E(e)-.18 E F0 5.652(.W)
+C(hen)-5.652 E F1(local)3.152 E F0 .652
 (is used within a function, it causes the v)3.152 F(ari-)-.25 E(able)144
 633.6 Q F2(name)3.72 E F0 .86(to ha)3.54 F 1.16 -.15(ve a v)-.2 H .861
 (isible scope restricted to that function and its children.).15 F -.4
@@ -1312,8 +1309,8 @@ F .299(guments, remo)-.18 F -.15(ve)-.15 G 2.799(st).15 G .299
 727.2 R F1(cd)3.978 E F0 1.479(to the ne)3.978 F 3.979(wt)-.25 G 1.479
 (op directory)-3.979 F 6.479(.A)-.65 G -.18(rg)-6.479 G 1.479
 (uments, if supplied, ha).18 F 1.779 -.15(ve t)-.2 H 1.479(he follo).15
-F(wing)-.25 E(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)-.15 G
-(mber 27).15 E(9)190.545 E 0 Cg EP
+F(wing)-.25 E(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(9)203.725 E 0
+Cg EP
 %%Page: 10 10
 %%BeginPageSetup
 BP
@@ -1438,8 +1435,8 @@ F .763(The return)5.763 F 1.36(status is 0 unless an error occurs while\
 (ening separators assigned to the last)-.15 F F2(name)2.92 E F0 5.42(.I)
 .18 G 2.92(ft)-5.42 G(here)-2.92 E .54(are fe)144 724.8 R .54(wer w)-.25
 F .541(ords read from the input stream than names, the remaining names \
-are assigned empty)-.1 F(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15
-(ve)-.15 G(mber 27).15 E(10)185.545 E 0 Cg EP
+are assigned empty)-.1 F(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(10)
+198.725 E 0 Cg EP
 %%Page: 11 11
 %%BeginPageSetup
 BP
@@ -1558,8 +1555,8 @@ E F4(,)A F8($2)2.5 E F4(,)A F8 2.5(... $)2.5 F F5(n)A F4 5(.O)C
 703.2 Q F4 1.063(Automatically mark variables and functions which ar)
 28.94 F 3.563(em)-.18 G 1.063(odi\214ed or cr)-3.563 F 1.063(eated for)
 -.18 F(export to the envir)184 715.2 Q(onment of subsequent commands.)
--.18 E F0(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)-.15 G
-(mber 27).15 E(11)185.545 E 0 Cg EP
+-.18 E F0(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(11)198.725 E 0 Cg
+EP
 %%Page: 12 12
 %%BeginPageSetup
 BP
@@ -1631,8 +1628,8 @@ E F2(.)A F1(noglob)184 636 Q F2(Same as)7.77 E F1<ad66>2.5 E F2(.)A F1
 (nolog)5 E F2(Curr)2.5 E(ently ignor)-.18 E(ed.)-.18 E F1(notify)184 648
 Q F2(Same as)12.22 E F1<ad62>2.5 E F2(.)A F1(nounset)184 660 Q F2
 (Same as)224 672 Q F1<ad75>2.5 E F2(.)A F1(onecmd)184 684 Q F2(Same as)
-224 696 Q F1<ad74>2.5 E F2(.)A F0(GNU Bash-2.05a)72 768 Q(2001 No)
-126.115 E -.15(ve)-.15 G(mber 27).15 E(12)185.545 E 0 Cg EP
+224 696 Q F1<ad74>2.5 E F2(.)A F0(GNU Bash-3.0)72 768 Q(2004 Apr 20)
+148.735 E(12)198.725 E 0 Cg EP
 %%Page: 13 13
 %%BeginPageSetup
 BP
@@ -1735,8 +1732,7 @@ E(ectory)-.18 E(.)-1.11 E F1<ad54>144 654 Q F2 1.25(If set, any trap on)
 (Otherwise, the positional parameters ar)184 702 R 3.803(es)-.18 G 1.303
 (et to the)-3.803 F F3(ar)3.803 E(g)-.18 E F2 1.303
 (s, even if some of them)B(begin with a)184 714 Q F1<ad>2.5 E F2(.)A F0
-(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E
-(13)185.545 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(13)198.725 E 0 Cg EP
 %%Page: 14 14
 %%BeginPageSetup
 BP
@@ -1843,8 +1839,8 @@ Q F2 2.584(If set,)184 658.8 R F1(bash)5.084 E F2 2.584
 (cmdhist)144 682.8 Q F2 1.298(If set,)184 694.8 R F1(bash)3.798 E F2
 1.297(attempts to save all lines of a multiple-line command in the same)
 3.797 F(history entry)184 706.8 Q 5(.T)-1.11 G(his allows easy r)-5 E
-(e-editing of multi-line commands.)-.18 E F0(GNU Bash-2.05a)72 768 Q
-(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E(14)185.545 E 0 Cg EP
+(e-editing of multi-line commands.)-.18 E F0(GNU Bash-3.0)72 768 Q
+(2004 Apr 20)148.735 E(14)198.725 E 0 Cg EP
 %%Page: 15 15
 %%BeginPageSetup
 BP
@@ -1930,8 +1926,8 @@ Q F1(bash)2.5 E F2(will send)2.5 E F3(SIGHUP)2.5 E F2
 (to cause that wor)2.76 F 2.76(da)-.18 G .26(nd all r)-2.76 F .26
 (emaining char)-.18 F(-)-.18 E .512(acters on that line to be ignor)184
 720 R .512(ed in an interactive shell \(see)-.18 F F3(COMMENTS)3.012 E
-F2(above\).)2.762 E F0(GNU Bash-2.05a)72 768 Q(2001 No)126.115 E -.15
-(ve)-.15 G(mber 27).15 E(15)185.545 E 0 Cg EP
+F2(above\).)2.762 E F0(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(15)
+198.725 E 0 Cg EP
 %%Page: 16 16
 %%BeginPageSetup
 BP
@@ -2016,8 +2012,8 @@ tional expr)6.56 F(ession)-.18 E F4(expr)3.044 E F1(.).45 E .789
 (f)-2.5 E F4(expr)2.85 E F1(is false.)2.95 E F2(\()144 702 Q F4(expr)2.5
 E F2(\))2.5 E F1 .847(Returns the value of)6.56 F F4(expr)3.347 E F1
 5.847(.T)C .847(his may be used to override the normal pr)-5.847 F
-(ecedence)-.18 E(of operators.)180 714 Q F0(GNU Bash-2.05a)72 768 Q
-(2001 No)126.115 E -.15(ve)-.15 G(mber 27).15 E(16)185.545 E 0 Cg EP
+(ecedence)-.18 E(of operators.)180 714 Q F0(GNU Bash-3.0)72 768 Q
+(2004 Apr 20)148.735 E(16)198.725 E 0 Cg EP
 %%Page: 17 17
 %%BeginPageSetup
 BP
